using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 安全检查签名
    /// </summary>
    [Description("检查签名")]
    public class T_BS_SAFE_CHECK_USERSIGN : MesEntityBase
    {
        /// <summary>
        /// 检查类型表
        /// </summary>
        [Description("检查制定表")]
        [DataFieldForeignKey("Nav_SafeCheck", "Nav_ListCheckUserSign")]
        public Guid SAFE_CHECK_ID { get; set; }

        /// <summary>
        /// 导航：检查类型表
        /// </summary>
        [Description("导航：检查制定表")]
        public virtual T_BS_SAFE_CHECK Nav_SafeCheck { get; set; }

        /// <summary>
        /// 签名用户
        /// </summary>
        [Description("签名用户")]
        [DataFieldForeignKey("Nav_User")]
        public Guid SUSER_ID { get; set; }

        /// <summary>
        /// 导航：签名用户
        /// </summary>
        [Description("导航：签名用户")]
        public virtual T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 签名文件
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        /// <summary>
        /// 签名文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}